// Primary button variables
// KODELLA EDIT
// $sc-button-primary-background-color: $sc-color-primary; /* editable({"type": "color", "label": "Background"}) */
$sc-button-primary-background-color: $sc-color-black;

$sc-button-primary-text-color: white; /* editable({"type": "color", "label": "Text"}) */
// $sc-button-primary-border-color: $sc-button-primary-background-color; /* editable({"type": "color", "label": "Border"}) */
$sc-button-primary-border-color: none; /* editable({"type": "color", "label": "Border"}) */
// $sc-button-primary-border-radius: $sc-border-radius; /* editable({"type": "string", "label": "Border radius"}) */
$sc-button-primary-border-radius: 0; /* editable({"type": "string", "label": "Border radius"}) */

$sc-button-primary-hover-background-color: desaturate(lighten($sc-button-primary-background-color, 10), 9); /* editable({"type": "color", "label": "Hover background"}) */
$sc-button-primary-hover-text-color: white; /* editable({"type": "color", "label": "Hover text"}) */
$sc-button-primary-hover-border-color: $sc-button-primary-border-color; /* editable({"type": "color", "label": "Hover border"}) */

$sc-button-primary-active-background-color: desaturate(darken($sc-button-primary-background-color, 5), 10); /* editable({"type": "color", "label": "Active background"}) */
$sc-button-primary-active-text-color: white; /* editable({"type": "color", "label": "Active text"}) */
$sc-button-primary-active-border-color: $sc-button-primary-border-color; /* editable({"type": "color", "label": "Active border"}) */

$sc-button-primary-text-transform: none; /* editable({
	"type": "string",
	"label": "Text transform",
	"options": [
		{"value": "none", "text": "none"},
		{"value": "uppercase", "text": "uppercase"},
		{"value": "lowercase", "text": "lowercase"},
		{"value": "capitalize", "text": "capitalize"}
	]
}) */

// Secondary button variables
// KODELLA EDIT
// $sc-button-secondary-background-color: $sc-color-secondary; /* editable({"type": "color", "label": "Background"}) */
$sc-button-secondary-background-color: black; /* editable({"type": "color", "label": "Background"}) */
$sc-button-secondary-text-color: white; /* editable({"type": "color", "label": "Text"}) */
$sc-button-secondary-border-color: $sc-button-secondary-background-color; /* editable({"type": "color", "label": "Border"}) */
$sc-button-secondary-border-color: $sc-button-secondary-background-color; /* editable({"type": "color", "label": "Border"}) */
// $sc-button-secondary-border-radius: $sc-border-radius; /* editable({"type": "string", "label": "Border radius"}) */
$sc-button-secondary-border-radius: $sc-border-radius; /* editable({"type": "string", "label": "Border radius"}) */

$sc-button-secondary-hover-background-color: desaturate(lighten($sc-button-secondary-background-color, 10), 9); /* editable({"type": "color", "label": "Hover background"}) */
$sc-button-secondary-hover-text-color: white; /* editable({"type": "color", "label": "Hover text"}) */
$sc-button-secondary-hover-border-color: $sc-button-secondary-border-color; /* editable({"type": "color", "label": "Hover border"}) */

$sc-button-secondary-active-background-color: desaturate(darken($sc-button-secondary-background-color, 5), 10); /* editable({"type": "color", "label": "Active background"}) */
$sc-button-secondary-active-text-color: white; /* editable({"type": "color", "label": "Active text"}) */
$sc-button-secondary-active-border-color: $sc-button-secondary-border-color; /* editable({"type": "color", "label": "Active border"}) */

$sc-button-secondary-text-transform: none; /* editable({
	"type": "string",
	"label": "Text transform",
	"options": [
		{"value": "none", "text": "none"},
		{"value": "uppercase", "text": "uppercase"},
		{"value": "lowercase", "text": "lowercase"},
		{"value": "capitalize", "text": "capitalize"}
	]
}) */

// Tertiary button variables
// KODELLA EDIT
$sc-button-tertiary-background-color: $sc-neutral-shade-0; /* editable({"type": "color", "label": "Background"}) */
// $sc-button-tertiary-text-color: $sc-color-secondary; /* editable({"type": "color", "label": "Text"}) */
$sc-button-tertiary-text-color: $sc-color-black; /* editable({"type": "color", "label": "Text"}) */
$sc-button-tertiary-border-color: white; /* editable({"type": "color", "label": "Border"}) */
// $sc-button-tertiary-border-radius: $sc-border-radius; /* editable({"type": "string", "label": "Border radius"}) */
$sc-button-tertiary-border-radius: 0; /* editable({"type": "string", "label": "Border radius"}) */

$sc-button-tertiary-hover-background-color: saturate(lighten($sc-color-secondary, 4), 4); /* editable({"type": "color", "label": "Hover background"}) */
$sc-button-tertiary-hover-text-color: white; /* editable({"type": "color", "label": "Hover text"}) */
$sc-button-tertiary-hover-border-color: $sc-button-tertiary-border-color; /* editable({"type": "color", "label": "Hover border"}) */

$sc-button-tertiary-active-background-color: darken($sc-color-secondary, 6); /* editable({"type": "color", "label": "Active background"}) */
$sc-button-tertiary-active-text-color: white; /* editable({"type": "color", "label": "Active text"}) */
$sc-button-tertiary-active-border-color: $sc-button-tertiary-border-color; /* editable({"type": "color", "label": "Active border"}) */

$sc-button-tertiary-text-transform: none; /* editable({
	"type": "string",
	"label": "Text transform",
	"options": [
		{"value": "none", "text": "none"},
		{"value": "uppercase", "text": "uppercase"},
		{"value": "lowercase", "text": "lowercase"},
		{"value": "capitalize", "text": "capitalize"}
	]
}) */

// Large button
$sc-button-large-padding-v: $sc-padding-lv4; /* editable({"type": "string", "label": "Vertical padding"}) */
$sc-button-large-padding-h: $sc-padding-lv7; /* editable({"type": "string", "label": "Horizontal padding"}) */
$sc-button-large-font-size: $sc-font-size-l; /* editable({"type": "string", "label": "Font size"}) */
$sc-button-large-line-height: 1; /* editable({"type": "string", "label": "Line height"}) */
$sc-button-large-letter-spacing: 1px; /* editable({"type": "string", "label": "Letter spacing"}) */
$sc-button-large-mobile-width: 100%; /* editable({"type": "string", "label": "Mobile width"}) */
$sc-button-large-desktop-width: auto; /* editable({"type": "string", "label": "Desktop width"}) */

// Medium button
$sc-button-medium-padding-v: $sc-padding-lv2; /* editable({"type": "string", "label": "Vertical padding"}) */
$sc-button-medium-padding-h: $sc-padding-lv4; /* editable({"type": "string", "label": "Horizontal padding"}) */
$sc-button-medium-font-size: $sc-font-size-m; /* editable({"type": "string", "label": "Font size"}) */
$sc-button-medium-line-height: 1; /* editable({"type": "string", "label": "Line height"}) */
$sc-button-medium-letter-spacing: 0.5px; /* editable({"type": "string", "label": "Letter spacing"}) */
$sc-button-medium-mobile-width: 100%; /* editable({"type": "string", "label": "Mobile width"}) */
$sc-button-medium-desktop-width: auto; /* editable({"type": "string", "label": "Desktop width"}) */

// Small button
$sc-button-small-padding-v: $sc-padding-lv2; /* editable({"type": "string", "label": "Vertical padding"}) */
$sc-button-small-padding-h: $sc-padding-lv3; /* editable({"type": "string", "label": "Horizontal padding"}) */
$sc-button-small-font-size: $sc-font-size-s; /* editable({"type": "string", "label": "Font size"}) */
$sc-button-small-line-height: 1; /* editable({"type": "string", "label": "Line height"}) */
$sc-button-small-letter-spacing: normal; /* editable({"type": "string", "label": "Letter spacing"}) */
$sc-button-small-mobile-width: auto; /* editable({"type": "string", "label": "Mobile width"}) */
$sc-button-small-desktop-width: auto; /* editable({"type": "string", "label": "Desktop width"}) */
